Subject: RE: [Sip] Open Issue #290: Registrar increasing registration life time

From: Robert Sparks <[email-masked]>
Date: Fri, 18 Jan 2002 10:21:39 -0500

I'm ok with this. I have a comment and a
request below.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, January 17, 2002 6:18 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Sip] Open Issue #290: Registrar increasing registration
> life time
> 
> 
> I would really like to resolve this one finally.
> 
>  From what I can tell, people seem to agree that,
> generally speaking, the registrar shouldn't
> increase it, and if the interval is too low,
> it can reject it.
> 
> Brett's concern is backwards compatibility. However,
> I think I have an easier answer for that.
> 
> 
> I suspect there are zero existing UA's that ever include
> an expires less than one hour. So, as long as we mandate
> that a proxy support registrations of at least one
> hour (i.e., it not reject registrations greater than one hour
> because they are too short), we'll be backwards compatible in 
> practice.
> 
> So, to summarize:
> 
> 1. registrars can't increase the interval
> 2. registrars must not reject registrartions less than
> one hour

As you already pointed out, you mean more than one hour here.

It would be good to specifically capture that registrars mustn't reject
the request only because they wanted the expiration to be longer
(we still want to be able to return 401s, 503s, etc).

I would ask to make this a SHOULD and not a MUST. In no version
of the spec to date has there been a requirement that I, as a registrar,
MUST accept a registration of a given duration - I've always had
the option to refuse it if it violated some policy of mine.
A MUST here also builds another good candidate for future-failure
(those places where we have pain fixing problems in the future because
of backwards compatibility). Do you really want to close off the
functionality of the TBD response below to long expirations forever?
Or would it be better to recommend the hour threshold and have
implementors anticipating change?

That said, don't hold up closing it based on these comments.

> 3. registrars may reject registrations less that one
>   hour, with some TBD response code
> 
> May I please hear a yea/nea from the people in this thread??
> 
> -Jonathan R.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip